/***************************************************************************
 *   Copyright (C) 2006 by Vincenzo Forchi`,,,   *
 *   tus@ken   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef bpm_H
#define bpm_H

// cumbia
#include <qulogimpl.h>
#include <cucontrolsfactorypool.h>
class CumbiaPool;
class QuLabelBase;
// cumbia

#include "ui_gofbpm.h"


class gofbpm: public QWidget
{
    Q_OBJECT

public:
    enum Pages { Slow = 0, Fast, FastFFT, Event, EventFFT, RAW };

    gofbpm(QWidget * =NULL);
    ~gofbpm(){};
   protected:
    
public slots:
    void configurePlots();
    void onNewFrequency(const CuData &da);
    void init();

private slots:
    void onTabChanged(int t = 0);
private:
    Ui::bpm * ui;

    QString member;

    void m_setBooleanDisplay(QuLabelBase *l, const QString& fs, const QString& ts,
                             const QColor& fc, const QColor& tc);
   
// cumbia
    CumbiaPool *cu_pool;
    QuLogImpl m_log_impl;
    CuControlsFactoryPool m_ctrl_factory_pool;
// cumbia

};


#endif

